diff -2crw make-3.68/Makefile amiga-make-3.68/Makefile
*** make-3.68/Makefile	Wed Aug 18 13:43:19 1993
--- amiga-make-3.68/Makefile	Wed Aug 18 13:46:08 1993
***************
*** 28,35 ****
  srcdir = $(VPATH)
  
! CC = gccv
  
! CFLAGS = -g
! LDFLAGS = -g
  
  # Define these for your system as follows:
--- 28,35 ----
  srcdir = $(VPATH)
  
! CC = gcc
  
! CFLAGS = -O2
! LDFLAGS =
  
  # Define these for your system as follows:
***************
*** 42,46 ****
  # NeXT 1.0a uses an old version of GCC, which required -D__inline=inline.
  # See also `config.h'.
! defines = -DHAVE_CONFIG_H -DLIBDIR=\"$(libdir)\" -DINCLUDEDIR=\"$(includedir)\"
  
  # Which flavor of remote job execution support to use.
--- 42,46 ----
  # NeXT 1.0a uses an old version of GCC, which required -D__inline=inline.
  # See also `config.h'.
! defines = -DHAVE_CONFIG_H -DNO_FLOAT
  
  # Which flavor of remote job execution support to use.
***************
*** 238,242 ****
  config.h: stamp-config ;
  stamp-config: config.status $(srcdir)/config.h.in
! 	$(SHELL) config.status
  	touch stamp-config
  
--- 238,242 ----
  config.h: stamp-config ;
  stamp-config: config.status $(srcdir)/config.h.in
! #	 $(SHELL) config.status
  	touch stamp-config
  
diff -2crw make-3.68/arscan.c amiga-make-3.68/arscan.c
*** make-3.68/arscan.c	Wed May 12 21:05:03 1993
--- amiga-make-3.68/arscan.c	Tue Aug 17 22:58:12 1993
***************
*** 23,26 ****
--- 23,29 ----
  #include <sys/file.h>
  #endif
+ #ifdef amigados
+ #include <stdlib.h>
+ #endif
  
  #ifndef NO_ARCHIVES
diff -2crw make-3.68/config.h amiga-make-3.68/config.h
*** make-3.68/config.h	Wed Aug 18 13:44:40 1993
--- amiga-make-3.68/config.h	Tue Aug 17 23:49:55 1993
***************
*** 93,97 ****
  
  /* Define if you have the ANSI C header files.  */
! #undef STDC_HEADERS
  
  /* Define if you don't have dirent.h, but have sys/dir.h.  */
--- 93,97 ----
  
  /* Define if you have the ANSI C header files.	*/
! #define STDC_HEADERS 1
  
  /* Define if you don't have dirent.h, but have sys/dir.h.  */
***************
*** 167,168 ****
--- 167,171 ----
  /* Define if you have the seq library (-lseq).  */
  #undef HAVE_SEQ
+ 
+ /* Define if you have psignal */
+ #define HAVE_PSIGNAL 1
diff -2crw make-3.68/configure amiga-make-3.68/configure
*** make-3.68/configure	Wed Aug 18 13:27:00 1993
--- amiga-make-3.68/configure	Tue Aug 17 22:58:49 1993
***************
*** 130,134 ****
  
  if test -z "$CC"; then
!   # Extract the first word of `gcc', so it can be a program name with args.
    set dummy gccv; word=$2
    echo checking for $word
--- 130,134 ----
  
  if test -z "$CC"; then
!   # Extract the first word of `gccv', so it can be a program name with args.
    set dummy gccv; word=$2
    echo checking for $word
diff -2crw make-3.68/dir.c amiga-make-3.68/dir.c
*** make-3.68/dir.c	Wed Jun  2 20:56:37 1993
--- amiga-make-3.68/dir.c	Tue Aug 17 22:59:43 1993
***************
*** 493,497 ****
--- 493,501 ----
  /* Hooks for globbing.	*/
  
+ #ifndef amigados
  #include <glob.h>
+ #else
+ #include "glob.h"
+ #endif
  
  /* Structure describing state of iterating through a directory hash table.  */
diff -2crw make-3.68/function.c amiga-make-3.68/function.c
*** make-3.68/function.c	Thu Jul 15 00:22:55 1993
--- amiga-make-3.68/function.c	Tue Aug 17 23:00:37 1993
***************
*** 22,25 ****
--- 22,28 ----
  #include "commands.h"
  #include "job.h"
+ #ifdef amigados
+ #include <stdlib.h>
+ #endif
  
  static char *string_glob ();
diff -2crw make-3.68/getopt.c amiga-make-3.68/getopt.c
*** make-3.68/getopt.c	Thu Jul  8 17:20:26 1993
--- amiga-make-3.68/getopt.c	Tue Aug 17 23:01:18 1993
***************
*** 39,42 ****
--- 39,45 ----
  
  #include <stdio.h>
+ #ifdef amigados
+ #include <string.h>
+ #endif
  
  /* Comment out all this code if we are using the GNU C Library, and are not
diff -2crw make-3.68/glob/fnmatch.h amiga-make-3.68/glob/fnmatch.h
*** make-3.68/glob/fnmatch.h	Sun Apr 11 22:54:32 1993
--- amiga-make-3.68/glob/fnmatch.h	Wed Aug 18 00:07:03 1993
***************
*** 36,40 ****
--- 36,42 ----
  
  /* Bits set in the FLAGS argument to `fnmatch'.  */
+ #ifndef FNM_PATHNAME
  #define FNM_PATHNAME	(1 << 0) /* No wildcard can ever match `/'.  */
+ #endif
  #define FNM_NOESCAPE	(1 << 1) /* Backslashes don't quote special chars.  */
  #define FNM_PERIOD	(1 << 2) /* Leading `.' is matched only explicitly.  */
diff -2crw make-3.68/job.c amiga-make-3.68/job.c
*** make-3.68/job.c	Fri Jun 25 20:03:56 1993
--- amiga-make-3.68/job.c	Tue Aug 17 23:03:48 1993
***************
*** 24,28 ****
--- 24,32 ----
  
  /* Default path to search for executables.  */
+ #ifndef amigados
  static char default_path[] = ":/bin:/usr/bin";
+ #else
+ static char default_path[] = ":/bin:/usr/local/bin";
+ #endif
  
  /* Default shell to use.  */
***************
*** 242,249 ****
  #ifdef	WAIT_NOHANG
  	  if (!block)
! 	    pid = WAIT_NOHANG (&status);
  	  else
  #endif
! 	    pid = wait (&status);
  
  	  if (pid < 0)
--- 246,253 ----
  #ifdef	WAIT_NOHANG
  	  if (!block)
! 	    pid = WAIT_NOHANG ((int *)&status);
  	  else
  #endif
! 	    pid = wait ((int *)&status);
  
  	  if (pid < 0)
***************
*** 988,992 ****
  #endif
        if (groups != 0 && ngroups == -1)
! 	ngroups = getgroups (ngroups_max, groups);
  #endif	/* Have getgroups.  */
  
--- 992,996 ----
  #endif
        if (groups != 0 && ngroups == -1)
! 	ngroups = getgroups (ngroups_max, (int *)groups);
  #endif	/* Have getgroups.  */
  
diff -2crw make-3.68/main.c amiga-make-3.68/main.c
*** make-3.68/main.c	Wed Jul 14 22:56:38 1993
--- amiga-make-3.68/main.c	Tue Aug 17 23:04:14 1993
***************
*** 23,26 ****
--- 23,29 ----
  #include "job.h"
  #include "getopt.h"
+ #ifdef amigados
+ #include <stdlib.h>
+ #endif
  
  
diff -2crw make-3.68/read.c amiga-make-3.68/read.c
*** make-3.68/read.c	Thu Jul 15 02:25:00 1993
--- amiga-make-3.68/read.c	Tue Aug 17 23:05:26 1993
***************
*** 82,89 ****
--- 82,95 ----
  static char *default_include_directories[] =
    {
+ #ifndef amigados
      INCLUDEDIR,
      "/usr/gnu/include",
      "/usr/local/include",
      "/usr/include",
+ #else
+     "/gcc/include",
+     "/gcc/g++-include",
+     "/gcc/os-include",
+ #endif
      0
    };
diff -2crw make-3.68/remake.c amiga-make-3.68/remake.c
*** make-3.68/remake.c	Mon Apr 12 20:52:45 1993
--- amiga-make-3.68/remake.c	Tue Aug 17 23:07:35 1993
***************
*** 964,970 ****
--- 964,975 ----
    static char *dirs[] =
      {
+ #ifndef amigados
        "/lib",
        "/usr/lib",
        LIBDIR,			/* Defined by configuration.  */
+ #else
+      "/gcc/lib",
+      "/gcc/blib",
+ #endif
        0
      };
***************
*** 974,978 ****
--- 979,987 ----
  
    /* Buffer to construct possible names in.  */
+ #ifndef amigados
    char *buf = xmalloc (sizeof (LIBDIR) + 8 + strlen (libname) + 4 + 2 + 1);
+ #else
+   char *buf = xmalloc (8 + strlen (libname) + 9 + 2 + 1);
+ #endif
    char *file, **dp;
  
